/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-20 19:08:55 UTC)
 * on 2013-06-24 at 19:40:37 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.gan.model;

/**
 * Model definition for Links.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Affiliate Network API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Links extends com.google.api.client.json.GenericJson {

  /**
   * The links.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Link> items;

  /**
   * The kind for a page of links.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * The next page token.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String nextPageToken;

  /**
   * The links.
   * @return value or {@code null} for none
   */
  public java.util.List<Link> getItems() {
    return items;
  }

  /**
   * The links.
   * @param items items or {@code null} for none
   */
  public Links setItems(java.util.List<Link> items) {
    this.items = items;
    return this;
  }

  /**
   * The kind for a page of links.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * The kind for a page of links.
   * @param kind kind or {@code null} for none
   */
  public Links setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The next page token.
   * @return value or {@code null} for none
   */
  public java.lang.String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * The next page token.
   * @param nextPageToken nextPageToken or {@code null} for none
   */
  public Links setNextPageToken(java.lang.String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

  @Override
  public Links set(String fieldName, Object value) {
    return (Links) super.set(fieldName, value);
  }

  @Override
  public Links clone() {
    return (Links) super.clone();
  }

}
